"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cssImportReg = /(?<=@import\s+url\()(["']?).*?\1(?=\))|(?<=@import\b\s*)(["']).*?\2/g;
const plugin = () => {
    return {
        version: 2.1,
        resolveStyleReferenceLinks(block) {
            const result = [];
            const matches = block.content.matchAll(cssImportReg);
            for (const match of matches) {
                let text = match[0];
                let offset = match.index;
                if (text.startsWith('\'') || text.startsWith('"')) {
                    text = text.slice(1, -1);
                    offset += 1;
                }
                if (text) {
                    result.push({ text, offset });
                }
            }
            return result;
        },
    };
};
exports.default = plugin;
//# sourceMappingURL=vue-style-reference-links.js.map