"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const shared_1 = require("./shared");
const plugin = () => {
    return {
        version: 2.1,
        getEmbeddedCodes(_fileName, sfc) {
            const result = [];
            for (let i = 0; i < sfc.customBlocks.length; i++) {
                const block = sfc.customBlocks[i];
                if (block.type === 'vine') {
                    result.push({
                        id: 'vine_' + i,
                        lang: block.lang,
                    });
                }
            }
            return result;
        },
        resolveEmbeddedCode(_fileName, sfc, embeddedFile) {
            if (embeddedFile.id.startsWith('vine_')) {
                const index = parseInt(embeddedFile.id.slice('vine_'.length));
                const block = sfc.customBlocks[index];
                embeddedFile.content.push([
                    block.content,
                    block.name,
                    0,
                    shared_1.allCodeFeatures,
                ]);
            }
        },
    };
};
exports.default = plugin;
//# sourceMappingURL=vue-vine.js.map